Skip to main content
`Ctrl`+`K`

# SNESNewtonALSetDiagonalScaling

Set the global vector used to rescale DoFs for computation of arc length.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNewtonALSetDiagonalScaling(SNES snes, Vec v)

Logically Collective

## Input Parameters

- snes - the nonlinear solver object

- v - the `Vec` containing diagonal scaling for each DoF, must be the same size as the solution vector (may be `NULL`)

## Note

This function stores a reference to `v`. Any changes to the vector will be reflected automatically in the arc length computation.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESNEWTONAL`, `SNESNewtonALSetFunction()`, `SNESNewtonALGetLoadParameter()`

## Level

intermediate

## Location

src/snes/impls/al/al.c

## Examples

src/snes/tutorials/ex16.c

## Implementations

SNESNewtonALSetDiagonalScaling_NEWTONAL() in src/snes/impls/al/al.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages